using AI.Platform.Core.Entity;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace ZhonTai.Admin.Contracts.Domain.VehicleTerminal.ShiftSettlement
{
    /// <summary>
    /// 班结表
    /// </summary>
    [SugarTable(null, "班结表")]
    public class ShiftSettlementEntity : EntityBaseLite
    {
        /// <summary>
        /// 班结记录ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long Id { get; set; }

        /// <summary>
        /// 所属站点ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? SiteId { get; set; }

        /// <summary>
        /// 班结ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ShiftId { get; set; }

        /// <summary>
        /// 开班时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结班时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 开班人
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? StartUserId { get; set; }

        /// <summary>
        /// 结班人
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? EndUserId { get; set; }

        /// <summary>
        /// 应收金额
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal? ReceivableAmount { get; set; }

        /// <summary>
        /// 实收金额
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal? ActualAmount { get; set; }

        /// <summary>
        /// 状态 0：未结束，1：结束
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public byte? Status { get; set; }

        /// <summary>
        /// 开班泵码
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal StartPumpTotalizerVolume { get; set; }

        /// <summary>
        /// 班结泵码
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal EndPumpTotalizerVolume { get; set; }

        /// <summary>
        /// 设备唯一编号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceId { get; set; }
        /// <summary>
        /// 班结名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }
    }
}
